package com.chinacreator.quartz.directed.file.dao.mydba;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 将失效的订购关系迁移到历史表
 */
@Mapper
public interface MoveOrderDao {


    /**
     * 复制订购表中已经失效的订购关系
     */
    @Insert({"<script>",
            "insert into td_directed_order_his select * from td_directed_order where curstatus='1' and canceltime &lt;= #{monthFirstDay}",
            "</script>"})
    public void copyOrderToHis(@Param("monthFirstDay") String monthFirstDay);

    /**
     * 删除订购关系表中已经失效的订购关系
     */
    @Delete({"<script>",
            "delete from td_directed_order where curstatus='1' and canceltime &lt;= #{monthFirstDay})",
            "</script>"})
    public void deleteExpireOrder(@Param("monthFirstDay") String monthFirstDay);
}
