package com.chinacreator.quartz.directed.file.service;

import com.chinacreator.quartz.directed.file.dao.mydba.DirectedOrderDao;
import com.chinacreator.quartz.directed.file.dao.mydba.MoveOrderDao;
import com.chinacreator.quartz.directed.util.DateUtil;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 将失效的订购关系复制到历史表
 */
@Service
public class MoveOrderService {

    private MoveOrderDao moveOrderDao;

    @Transactional
    public void moveOrderToHis() {

        String monthFirstDay = DateUtil.getMothFday();

        // 复制订购失效数据
        moveOrderDao.copyOrderToHis(monthFirstDay);

        // 将订购关系保存到历史表中
        moveOrderDao.deleteExpireOrder(monthFirstDay);

    }

    public static void main(String[] args) {
        System.out.println(DateUtil.getMothFday());
    }
}
